<?php

namespace Tests\Channel\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Modules\Channel\Http\Controllers\WechatOpenPlatformController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class WechatOpenPlatformControllerTest extends UsedTestCase
{

    public function testAuth()
    {
        DB::table('banks')
            ->upsert([
                ['name' => '比利时联合银行股份有限公司', 'is_show' => 1, 'code' => 651],
            ], ['name'], ['is_show']);
    }
    public function testauthorCommand()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/channel/openPlatform/authorCommand/wxf313b3506bac2647', [

        ]);
        $res->dump();
    }
}
